package com.ghy.worker.mapper;

import com.ghy.worker.domain.WorkerTeam;

import java.util.List;

public interface WorkerTeamMapper {

    /**
     * @param workerTeam 师傅团队
     * @return 师傅团队集合
     */
    List<WorkerTeam> getWorkerTeamList(WorkerTeam workerTeam);

    /**
     * @param workerTeam 师傅团队信息
     * @return 新增成功条数
     */
    int insertWorkerTeam(WorkerTeam workerTeam);

    /**
     * @param ids 师傅团队ID
     * @return 更新成功条数
     */
    int deleteWorkerTeamByIds(Long[] ids);

    /**
     * @param workerTeam 师傅团队信息
     * @return 修改成功条数
     * */
    int updateWorkerTeam(WorkerTeam workerTeam);
}
